Start Agent Test Run
POST
https://x.kupe.in
/
v1
/
agents
/
{agent_id}
/
test-runs
Start Agent Test Run
import requests
url = "https://x.kupe.in/v1/agents/{agent_id}/test-runs"
payload = {
"test_id": "<string>",
"multiplier": 1,
"run_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({test_id: '<string>', multiplier: 1, run_name: '<string>'})
};
fetch('https://x.kupe.in/v1/agents/{agent_id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/agents/{agent_id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_id": "<string>",
"multiplier": 1,
"run_name": "<string>"
}
'{
"id": "<string>",
"agent_id": "<string>",
"agent_version": 123,
"run_name": "<string>",
"multiplier": 123,
"status": "<string>",
"total_test_count": 123,
"completed_test_count": 123,
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"error": "<string>",
"results": [
{
"id": "<string>",
"test_id": "<string>",
"test_name": "<string>",
"attempt_number": 123,
"status": "<string>",
"passed": true,
"transcript": [
{
"role": "<string>",
"content": "<string>"
}
],
"tool_calls_made": [
{
"name": "<string>",
"args": {},
"mock_response": {}
}
],
"behavior_results": [
{
"behavior": "<string>",
"met": true,
"evidence": "<string>"
}
],
"judge_reasoning": "<string>",
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Start Agent Test Run
import requests
url = "https://x.kupe.in/v1/agents/{agent_id}/test-runs"
payload = {
"test_id": "<string>",
"multiplier": 1,
"run_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({test_id: '<string>', multiplier: 1, run_name: '<string>'})
};
fetch('https://x.kupe.in/v1/agents/{agent_id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/agents/{agent_id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_id": "<string>",
"multiplier": 1,
"run_name": "<string>"
}
'{
"id": "<string>",
"agent_id": "<string>",
"agent_version": 123,
"run_name": "<string>",
"multiplier": 123,
"status": "<string>",
"total_test_count": 123,
"completed_test_count": 123,
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"error": "<string>",
"results": [
{
"id": "<string>",
"test_id": "<string>",
"test_name": "<string>",
"attempt_number": 123,
"status": "<string>",
"passed": true,
"transcript": [
{
"role": "<string>",
"content": "<string>"
}
],
"tool_calls_made": [
{
"name": "<string>",
"args": {},
"mock_response": {}
}
],
"behavior_results": [
{
"behavior": "<string>",
"met": true,
"evidence": "<string>"
}
],
"judge_reasoning": "<string>",
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
